Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.resolve
Interface ResolveInterface

    public interface ResolveInterface

This class defines the public interfaces for the Resolver class

Author:
  =chetan

Method Summary
`int` | `getFollowRedirects()` Gets maximum number of redirects to follow for a single resolution
`java.net.URI` | `getProxyResolver()` Returns the URI of the proxy resolver being used.
`javax.net.ssl.SSLSocketFactory` | `getSSLSocketFactory()` Returns the SSL Socket Factory being used for SSL connections.
`boolean` | `isLookaheadMode()` Returns true if lookahead mode is enabled
`XRD` | `resolveAuthToXRD(java.lang.String qxri, java.lang.String trustType, boolean followRefs)` Resolve XRI.
`void` | `setFollowRedirects(int nFollowRedirects)` Sets how many redirects to follow in a single resolution
`void` | `setLookaheadMode(boolean bVal)` Sets lookahead mode
`void` | `setProxyResolver(java.net.URI oProxyURI)` Sets the proxy resolver to use for XRI resolution
`void` | `setSSLSocketFactory(javax.net.ssl.SSLSocketFactory oSocketFactory)` Sets the Socket Factory to use for SSL connections

Method Detail

### resolveAuthToXRD

    XRD resolveAuthToXRD(java.lang.String qxri,
                         java.lang.String trustType,
                         boolean followRefs)
                         throws XRIParseException,
                                XRIResolutionException

  Resolve XRI. Returns null upon pure not found. Returns the final XRD if found. Throws exceptions upon errors while talking to servers.

  Throws:
    `XRIParseException`
    `XRIResolutionException`

### getSSLSocketFactory

    javax.net.ssl.SSLSocketFactory getSSLSocketFactory()

  Returns the SSL Socket Factory being used for SSL connections. Returns null if default has not been changed.

### setSSLSocketFactory

    void setSSLSocketFactory(javax.net.ssl.SSLSocketFactory oSocketFactory)

  Sets the Socket Factory to use for SSL connections

### getFollowRedirects

    int getFollowRedirects()

  Gets maximum number of redirects to follow for a single resolution

### setFollowRedirects

    void setFollowRedirects(int nFollowRedirects)

  Sets how many redirects to follow in a single resolution

### setProxyResolver

    void setProxyResolver(java.net.URI oProxyURI)

  Sets the proxy resolver to use for XRI resolution

  Parameters:
    `oProxyURI` - - The URI of the proxy resolver to use for resolution. Set to null to disable Proxy resolution

### getProxyResolver

    java.net.URI getProxyResolver()

  Returns the URI of the proxy resolver being used. If null, root resolvers may be contacted directly.

### isLookaheadMode

    boolean isLookaheadMode()

  Returns true if lookahead mode is enabled

### setLookaheadMode

    void setLookaheadMode(boolean bVal)

  Sets lookahead mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.